API reference
Sign-in
Sign-up, sign-in and password reset (for the app, not for API keys).
GET/auth/csrf
Get csrf (auths)
No sign-in needed.
curl -X GET https://crm.anibrosdesign.com/api/v1/auth/csrf \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 429
POST/auth/login
Login (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
password required | string | at least 1 characters. up to 128 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/login \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com","password":"text"}'Responses:
200 400 429
POST/auth/login/mfa
Mfa (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
challenge required | string | at least 20 characters. up to 400 characters |
code | string | |
recoveryCode | string | at least 8 characters. up to 32 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/login/mfa \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"challenge":"text","code":"text","recoveryCode":"text"}'Responses:
200 400 429
POST/auth/logout
Logout (auths)
No sign-in needed.
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/logout \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 429
POST/auth/password-reset/complete
Complete (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
token required | string | at least 20 characters. up to 200 characters |
password required | string | at least 1 characters. up to 128 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/password-reset/complete \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"token":"text","password":"text"}'Responses:
200 400 429
POST/auth/password-reset/request
Request (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/password-reset/request \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com"}'Responses:
202 400 429
POST/auth/resend-verification
Resend verification (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/resend-verification \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com"}'Responses:
202 400 429
POST/auth/signup
Signup (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
password required | string | at least 1 characters. up to 128 characters |
name required | string | at least 2 characters. up to 100 characters |
organisationName | string | at least 2 characters. up to 120 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/signup \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com","password":"text","name":"text"}'Responses:
202 400 429
POST/auth/verify-email
Verify email (auths)
No sign-in needed.
| Body field | Type | Notes |
|---|---|---|
token required | string | at least 20 characters. up to 200 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/auth/verify-email \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"token":"text"}'Responses:
200 400 429
Something missing or unclear? Tell us.